package com.fireworksdk.bridge.flutter.models

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

enum class FWADType(val rawValue: String) {
    None("none"),
    Admob("admob"),
    Ima("ima"),
}

@Parcelize
data class FWAdConfigModel(
    val type: String?,
    val startMobileAds: Boolean?,
) : Parcelable