package com.fireworksdk.bridge.flutter.models

enum class FWSdkModuleCallMethod(val rawValue: String) {
    Init("init"),
    OpenVideoPlayer("openVideoPlayer"),
    SetCustomCTAClickEnabled("setCustomCTAClickEnabled"),
    SetVideoPlaybackEventEnabled("setVideoPlaybackEventEnabled"),
    SetShareBaseURL("setShareBaseURL"),
    setAdBadgeConfiguration("setAdBadgeConfiguration"),
}

enum class FWShoppingModuleCallMethod(val rawValue: String) {
    Init("init"),
    SetCartIconVisible("setCartIconVisible"),
    SetCartItemCount("setCartItemCount"),
    ExitCartPage("exitCartPage"),
}

enum class FWVideoFeedCallMethod(val rawValue: String) {
    SetVideoFeedConfiguration("setVideoFeedConfiguration"),
    SetVideoPlayerConfiguration("setVideoPlayerConfiguration"),
    Refresh("refresh"),
}