enum AdType {
  none,
  admob,
  ima,
}

class AdConfig {
  /// Defaults to none. Only supported on iOS.
  AdType type;

  /// Defaults to true. The property only takes effect when type is admob. Only supported on iOS.
  bool? startMobileAds;

  AdConfig({
    required this.type,
    this.startMobileAds,
  });
}
