import 'package:flutter/services.dart';

const MethodChannel _firewokSDKMethodChannel =
    MethodChannel("fw.fondor.channel/firework_sdk_module");
const MethodChannel _shoppingChannel =
    MethodChannel("fw.fondor.channel/shopping_module");
const MethodChannel _eventBusMethodChannel =
    MethodChannel("fw.fondor.channel/firework_flutter_sdk");

class FWMethodChannelUtil {
  static MethodChannel getFirewokSDKChannel() => _firewokSDKMethodChannel;
  static MethodChannel getShoppingChannel() => _shoppingChannel;
  static MethodChannel getVideoFeedChannel(int viewId) =>
      MethodChannel("fw.fondor.channel/video_feed_$viewId");
  static MethodChannel getEventBusMethodChannel() => _eventBusMethodChannel;
}
