import '../../models/ad_config.dart';

class AdConfigUtil {
  static String _convertAdTypeToRawType(AdType type) {
    String rawType = "";
    switch (type) {
      case AdType.none:
        rawType = "none";
        break;
      case AdType.admob:
        rawType = "admob";
        break;
      case AdType.ima:
        rawType = "ima";
        break;
    }

    return rawType;
  }

  static Map<String, dynamic> toJson(AdConfig config) {
    return <String, dynamic>{
      "type": _convertAdTypeToRawType(config.type),
      "startMobileAds": config.startMobileAds,
    };
  }
}
