import '../../models/feed_item_details.dart';

class FeedItemDetailsUtil {
  static FeedItemDetails? fromJson(dynamic json) {
    if (json is Map<dynamic, dynamic>) {
      if (json["videoId"] is String) {
        FeedItemDetails details =
            FeedItemDetails(videoId: json["videoId"] as String);

        if (json["index"] is int) {
          details.index = json["index"] as int;
        }

        if (json["duration"] is num) {
          details.duration = (json["duration"] as num).toDouble();
        }

        return details;
      }
    }

    return null;
  }
}
